Update workflow schedule
curl --request PATCH \
--url https://api.sidenet.ai/v1/workflow-schedules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recurrence": {
"frequency": "daily",
"time": "09:00"
},
"timezone": "Europe/Paris"
}
'import requests
url = "https://api.sidenet.ai/v1/workflow-schedules/{id}"
payload = {
"recurrence": {
"frequency": "daily",
"time": "09:00"
},
"timezone": "Europe/Paris"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recurrence: {frequency: 'daily', time: '09:00'}, timezone: 'Europe/Paris'})
};
fetch('https://api.sidenet.ai/v1/workflow-schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_kind": "org",
"user_id": "<string>",
"status": "active",
"recurrence": {},
"cron": "<string>",
"run_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"timezone": "<string>",
"next_fire_at": "2023-11-07T05:31:56Z",
"last_fire_at": "2023-11-07T05:31:56Z",
"last_run_status": "<string>",
"notify": "thread",
"thread_title": "<string>"
}
}Workflow Schedules
Update workflow schedule
Patch timing (recurrence | cron, timezone, starts_at, ends_at — next run recomputed from now), input, notify / thread_title, name, copilot_id, group, metadata.
PATCH
/
v1
/
workflow-schedules
/
{id}
Update workflow schedule
Authorizations
bearerAuthsessionToken
Organization API key, generated in studio.sidenet.ai. Backend only — never in a browser.
Path Parameters
Example:
"5b1c2d3e-4f60-4a7b-8c9d-0e1f2a3b4c5d"
Body
application/json
The body is of type object.
Response
The updated schedule
Show child attributes
Show child attributes